CampaignsActivate Campaign

Activate Campaign

Set a campaign's status to active.

curl -X POST "https://api.5centscdn.com/v2/ad-manager/101/campaigns/cmp_4c19/activate" \
  -H "Content-Type: application/json" \
  -H "X-API-Key: YOUR_API_KEY"
{
  "result": "success",
  "campaign": {
    "id": "cmp_4c19",
    "admanager_id": 4019,
    "advertiser_id": "adv_8f2a",
    "advertiser_name": "Acme Corp",
    "name": "Summer Promo 2026",
    "category": "3",
    "campaign_type": "guaranteed_impressions",
    "status": "draft",
    "priority": 50,
    "timezone": "America/New_York",
    "start_at": "2026-06-01T00:00:00-04:00",
    "end_at": "2026-08-31T23:59:59-04:00",
    "budget": {
      "pricing_model": "cpm",
      "cpm_micros": 5000000,
      "total_budget_micros": 500000000,
      "daily_budget_cap_micros": 50000000,
      "impression_goal": 1000000,
      "daily_impression_cap": 100000,
      "lifetime_impression_cap": 1000000
    },
    "pacing": {
      "pacing_mode": "even"
    },
    "pacing_mode": "even",
    "pod_rules": {
      "allow_in_pods": true,
      "max_ads_per_pod": 1,
      "max_seconds_per_pod": 30,
      "allow_multiple_creatives_per_pod": false,
      "allow_same_creative_repeat": false,
      "preferred_pod_position": "any",
      "competitive_category": [
        10,
        25
      ]
    },
    "share_of_voice_percent": 25,
    "fallback_allowed": false,
    "is_house": false,
    "pricing_model": "example_string",
    "cpm_micros": 5000000,
    "total_budget_micros": 500000000,
    "daily_budget_cap_micros": 50000000,
    "impression_goal": 1000000,
    "daily_impression_cap": 100000,
    "lifetime_impression_cap": 1000000,
    "delivery_status": {
      "status": "ended",
      "expected_delivery_percent": 100,
      "actual_delivery_percent": 0,
      "impression_goal": 50000,
      "delivered_impressions": 0,
      "remaining_impressions": 50000,
      "today_impressions": 0,
      "daily_impression_cap": 500,
      "budget_spent_micros": 0,
      "budget_remaining_micros": 0,
      "pacing_mode": "asap"
    }
  }
}
POST
/ad-manager/{pid}/campaigns/{cid}/activate
POST
Base URLstring

Target server for requests. Edit to use your own host.

API Key (header: X-API-Key)
X-API-Keystring
Required

API key (sent in header)

path
pidinteger
Required

ID of the Ad Manager project.

path
cidstring
Required

ID of the campaign.

Content-Typestring
Required

The media type of the request body

Options: application/json
No request body parameters defined
Request Preview
Response

Response will appear here after sending the request

Authentication

header
X-API-Keystring
Required

API Key for authentication. Provide your API key in the header.

Path Parameters

pidinteger
Required

ID of the Ad Manager project.

Example:
101
cidstring
Required

ID of the campaign.

Example:
cmp_4c19

Body

application/json
dataobject
Required

Raw application/json data

Responses

resultstring

Operation outcome.

Allowed values:successerror
campaignstring